---
date: 2020-11-17
id: 5dbf9ea2-81ad-4b35-83ba-e4ab2e247c9a
title: ULID Constraint
---

# Syntax

``` php
// src/Entity/Product.php
namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * @ORM\Entity(repositoryClass="App\Repository\ProductRepository")
 */
class Product
{
    /**
     * @ORM\Column(type="ulid")
     * @Assert\Ulid
     */
    private $someProperty;

    // ...
}
```
